Subject: [Geojson] FW: Is GML Cartesian?

From: <[email-masked]>
Date: Tue, 23 Feb 2016 00:30:23 +0000

Clarification from John Herring (though I think the issue is now stale).

Ø  GML data is Cartesian if and only if the CRS in use in a planar or "Engineering" Datum.

From: john herring [mailto:[email-masked]]
Sent: Tuesday, 23 February 2016 3:49 AM
To: Cox, Simon (L&W, Clayton) <[email-masked]>; [email-masked]
Subject: Re: Is GML Cartesian?

Simon,

No. "Cartesian" is a property of the coordinate space and its underlying geometric structure, which must be Euclidean (ask René Descartes) and use a Pythagorean metric on the underlying coordinate values (proved by Pythagoras using Euclidean Geometry). Cartesian is flat. The Earth is not. The only Cartesian CRS's are Engineering ones. Anything with a non-flat datum is non-Euclidean, and hence non-Cartesian.

Thus, GML data is Cartesian if and only if the CRS in use in a planar or "Engineering" Datum.

Sorry for the delay, but I figured someone else would respond.

Regards,
John

It ain't ignorance causes so much trouble; it's folks knowing so much that ain't so.
                         ―  Josh Billings (Henry Wheeler Shaw) 1818-1884

On 2/18/2016 4:56 PM, [email-masked]<mailto:[email-masked]> wrote:

-----Original Message-----

From: GeoJSON [mailto:[email-masked]] On Behalf Of Martin Thomson

Sent: Friday, 19 February 2016 8:04 AM

To: Sean Gillies <[email-masked]><mailto:[email-masked]>

Cc: [email-masked]<mailto:[email-masked]>

Subject: Re: [Geojson] Making GeoJSON explicitly cartesian

GML is Cartesian, right?

On 19 February 2016 at 06:37, Sean Gillies <[email-masked]><mailto:[email-masked]> wrote:

The original spec dodged the question of whether implementations

should use great circle interpolation between vertices of a line

string or polygon ring. Here's a PR that (correct me if I'm mistaken,

Dw) would make it explicit that interpolation should be cartesian:

  https://github.com/geojson/draft-geojson/pull/154

Arguing against this is D3, the visualization library. It uses

great-circle interpolation between points when projecting GeoJSON shapes.

  https://github.com/mbostock/d3/wiki/Geo-Paths#shape-generators

--

Sean Gillies

_______________________________________________

GeoJSON mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/geojson

_______________________________________________

GeoJSON mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/geojson